|  | Home | Documentation | soap_wsse_session Struct Reference updated Mon May 13 2024 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
soap_wsse_session Struct Reference

Digest authentication session data. More...

Collaboration diagram for soap_wsse_session:
[legend]

## Public Attributes
struct soap_wsse_session * | next
time_t | expired
char | hash [SOAP_SMD_SHA1_SIZE]
char | nonce [1]

## Detailed Description

Digest authentication session data.

## Member Data Documentation

time_t soap_wsse_session::expired

Session expiration

char soap_wsse_session::hash[SOAP_SMD_SHA1_SIZE]

SHA1 digest

struct soap_wsse_session* soap_wsse_session::next

Next session in list

char soap_wsse_session::nonce[1]

Nonce string flows into region below this struct

The documentation for this struct was generated from the following file:

- wsseapi.c